# jdeff

Map a static Java method onto a Scilab macro

## Calling Sequence

                jdeff(className, javaMethodName, scilabMacroName)

## Parameters

className

  A string giving the class name

javaMethodName

  A string giving the method name in the class (the method must be static)

scilabMacroName

  A string giving the macro name

## Description

Provides a simple way to map a static Java method onto a Scilab macro. The result is automatically unwrapped (if it is possible).

## Examples

                   jdeff("java.lang.Double", "parseDouble", "str2number");
                   PI = str2number("3.141592653589");
                   PI - %pi

## See Also

- deff

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.